org.gjt.sp.util

## Class TaskAdapter

- java.lang.Object
- - org.gjt.sp.util.TaskAdapter

All Implemented Interfaces:
  java.util.EventListener, TaskListener

    public abstract class TaskAdapter
    extends java.lang.Object
    implements TaskListener

Since:
  jEdit 4.5pre1

### Constructor Summary

Constructors
Constructor and Description
`TaskAdapter()`

### Method Summary

Methods
`void` `done(Task task)`
`void` `maximumUpdated(Task task)`
`void` `running(Task task)`
`void` `statusUpdated(Task task)`
`void` `valueUpdated(Task task)`
`void` `waiting(Task task)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskAdapter

    public TaskAdapter()

### Method Detail

#### waiting

    public void waiting(Task task)

Specified by:
  `waiting` in interface `TaskListener`

#### running

    public void running(Task task)

Specified by:
  `running` in interface `TaskListener`

#### done

    public void done(Task task)

Specified by:
  `done` in interface `TaskListener`

#### statusUpdated

    public void statusUpdated(Task task)

Specified by:
  `statusUpdated` in interface `TaskListener`

#### maximumUpdated

    public void maximumUpdated(Task task)

Specified by:
  `maximumUpdated` in interface `TaskListener`

#### valueUpdated

    public void valueUpdated(Task task)

Specified by:
  `valueUpdated` in interface `TaskListener`